# Exceptions
[Core classes]

Collaboration diagram for Exceptions:

## Classes

class | BaseException
class | BusinessLogicException
class | CachedObjectNotFoundException
class | ClassNotFoundException
class | DatabaseException
class | DuplicateObjectException
class | FileNotFoundException
class | IOException
class | IOTimedOutException
class | MissingElementException
class | NetworkException
class | ObjectNotFoundException
class | PostgresDatabaseException
class | SecurityException
class | SoapFault
| In case we're soapless. More...
class | SyntaxErrorException
class | TooManyRowsException
class | UnimplementedFeatureException
class | UnsupportedMethodException
class | WrongArgumentException
class | WrongStateException
class | MailException
class | MailNotSentException